import { Client } from 'tencentcloud-sdk-nodejs/tencentcloud/services/scf/v20180416/scf_client';
import { Apigw } from '.';
import { ApigwTriggerRemoveInputs, ApigwTriggerRemoveScfTriggerInputs } from './interface';
/** API 网关组件触发器子模块 */
export declare class Trigger {
    /** API 网关组件 */
    apigw: Apigw;
    /** 云函数客户端 */
    scfClient: Client;
    /**
     * 构造函数
     *
     * @param apigw API 网关组件（依赖注入）
     */
    constructor(apigw: Apigw);
    /**
     * 根据 API 网关 API 和函数信息删除触发器
     *
     * @param inputs 输入参数
     */
    removeScfTrigger(inputs: ApigwTriggerRemoveScfTriggerInputs): Promise<void>;
    /**
     * 删除给定 API 触发器
     *
     * @param inputs 输入
     * @returns 是否删除成功
     */
    removeTrigger(inputs: ApigwTriggerRemoveInputs): Promise<boolean>;
}
